#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http-client-restricted
version:              0.0.4
visibility:           public
id:                   http-client-restricted-0.0.4-EFrBm9Fgycj9uxkRqDU11Z
key:                  http-client-restricted-0.0.4-EFrBm9Fgycj9uxkRqDU11Z
license:              MIT
copyright:            2018 Joey Hess, 2013 Michael Snoyman
maintainer:           Joey Hess <id@joeyh.name>
author:               Joey Hess
synopsis:             restricting the servers that http-client will use
description:
    Addition to the http-client and http-client-tls
    libraries, that restricts the HTTP servers that can be used.

    This is useful when a security policy needs to eg, prevent connections to
    HTTP servers on localhost or a local network, or only allow connections
    to a specific HTTP server.

    It handles restricting redirects as well as the initial HTTP connection,
    and it also guards against DNS poisoning attacks.

category:             Network
abi:                  26451fbe3fda408ac24510550682a052
exposed:              True
exposed-modules:      Network.HTTP.Client.Restricted
import-dirs:          /usr/lib/ghc-8.10.5/site-local/http-client-restricted-0.0.4
library-dirs:         /usr/lib/ghc-8.10.5/site-local/http-client-restricted-0.0.4
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.5/http-client-restricted-0.0.4

hs-libraries:         HShttp-client-restricted-0.0.4-EFrBm9Fgycj9uxkRqDU11Z
depends:
    base-4.14.2.0 connection-0.3.1-GYjM2zNPVEXK4XBs89SLoB
    data-default-0.7.1.1-1PvF2urvLxF7Pa94frLNmw
    http-client-0.7.8-Ip7bMuXtTRTGAUw6Da3sWW
    http-client-tls-0.3.5.3-7HFlEpdnloR2CYJZdjZOe3
    network-3.1.2.2-25lMYs5jWh9BSaCkMt8wPK
    network-bsd-2.8.1.0-1zQs5Eg2Zqq8t5RFzvbQVZ
    utf8-string-1.0.2-DMovLmOdbFr3ZT2kNNb9Du

haddock-interfaces:
    /usr/share/doc/haskell-http-client-restricted/html/http-client-restricted.haddock

haddock-html:         /usr/share/doc/haskell-http-client-restricted/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

